## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/funding-sources

/{id}/
micro-deposits

### cURL

```
GET https://api-sandbox.dwolla.com/funding-sources/692486f8-29f6-4516-a6a5-c69fd2ce854c/micro-deposits
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

### dwolla-v2 - JavaScript
```javascript
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var fundingSourceUrl =
  "https://api-sandbox.dwolla.com/funding-sources/692486f8-29f6-4516-a6a5-c69fd2ce854c";

dwolla.get(`${fundingSourceUrl}/micro-deposits`).then((res) => res.body.status); // => "failed"
```

### dwollav2 - Python
```python
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/692486f8-29f6-4516-a6a5-c69fd2ce854c'

funding_source = app_token.get('%s/micro-deposits' % funding_source_url)
funding_source.body['status'] # => 'failed'
```

### dwollaswagger - PHP
```php
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$fundingSourceUrl = 'https://api-sandbox.dwolla.com/funding-sources/692486f8-29f6-4516-a6a5-c69fd2ce854c';

$fsApi = new DwollaSwagger\FundingsourcesApi($apiClient);

$fundingSource = $fsApi->verifyMicroDepositsExist($fundingSourceUrl);
$fundingSource->status; # => "failed"
?>
```

### dwolla_v2 - Ruby
```ruby
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
funding_source_url = 'https://api-sandbox.dwolla.com/funding-sources/692486f8-29f6-4516-a6a5-c69fd2ce854c'

funding_source = app_token.get "#{funding_source_url}/micro-deposits"
funding_source.status # => "failed"
```

### Response Status Codes

- **200**
- **404**

### Example Response
```
{
  "_links": {},
  "created": "2022-12-30T20:56:53.000Z",
  "status": "failed",
  "failure": {
    "code": "R03",
    "description": "No Account/Unable to locate account"
  }
}
```

```
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

#### Authorizations

**Authorization**  
string  
header  
**required**  
The access token received from the authorization server in the OAuth 2.0 flow.

#### Headers

**Accept**  
enum<string>  
default:application/vnd.dwolla.v1.hal+json  
**required**  
The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

`application/vnd.dwolla.v1.hal+json`

#### Path Parameters

**id**  
string  
**required**  
The ID of the FS that previously had micro-deposits initiated

#### Response

**200**  
application/vnd.dwolla.v1.hal+json  
successful operation

**_links**  
object  
Showchild attributes

**created**  
string<date-time>  
Example:
`"2022-12-30T20:56:53.000Z"`

**status**  
string  
Example:
`"failed"`

**failure**  
object  
Showchild attributes
